# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ pkgconfig(gtk+-2.0) pkgconfig(umfpack)
# END SourceDeps(oneline)
%define fedora 18
%global postrel b

Name:           IBSimu
Version:        1.0.5
Release:        alt1_4.b
Summary:        Ion beam simulator

Group:          System/Libraries
License:        GPLv2+

URL:            http://ibsimu.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/ibsimu/ibsimu/libibsimu-%{version}%{?postrel}.tar.gz

# These files were omitted from the 1.0.5b tarball.
# I had to dig them out of git. :P
Source1:	docfooter.html
Source2:	docheader.html
Source3:	docstyle.css
Source4:	main.dxy
Source5:	main_dev.dxy
Source6:	webfooter.html
Source7:	webheader.html

#These two patches allow IBSimu to be built on RHEL5. The cairo requirement is to strict
#and a gtk call can be removed since it only provides tooltips
#Both patches are reported upstream:
Patch0 :        libibsimu-lower-cairo.patch
Patch1:         libibsimu-remove-gtk_widget_set_tooltip_text.patch
Patch2:         IBSimu-1.0.5b-arm.patch


%if 0%{?rhel} == 5
BuildRequires:  libcairo-devel
BuildRequires:  autoconf
# Needed on RHEL but not CentOS?
BuildRequires:  automake
%else
BuildRequires:  libcairo-devel >= 1.4.0
%endif
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libfreetype-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgsl-devel
BuildRequires:  doxygen

%if 0%{?rhel} == 5
BuildRequires: libgraphviz
%endif

%if %{?fedora}%{!?fedora:0} >= 9
BuildRequires:  /usr/bin/latex texlive-latex-recommended
%else
%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  /usr/bin/latex texlive-latex-recommended
%else
BuildRequires:  /usr/bin/latex texlive-latex-recommended
%endif
%endif
Source44: import.info

%description
Ion Beam Simulator or IBSimu is an ion optical computer simulation package 
for ion optics, plasma extraction and space charge dominated ion beam
transport using Vlasov iteration. The code has several capabilities 
for solving electric fields in a defined geometry and tracking 
particles in electric and magnetic fields. The code is constructed 
as a C++ library for maximal versatility and openness.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %%{name}-devel package contains libraries and header files for
developing applications that use %%{name}.

%prep
%setup -q -n libibsimu-%{version}%{?postrel}
%if 0%{?rhel} == 5
%patch0 -p1
%patch1 -p1
%endif
%patch2 -p0

# Copy in missing doc files
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} doc/

%build
%if 0%{?rhel} == 5
autoreconf
%endif
%configure --disable-static
make %{?_smp_mflags}
make %{?_smp_mflags} doc

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
make check

%files
%{_libdir}/libibsimu*.so.*
%doc README COPYING

%files devel
%{_includedir}/ibsimu*
%{_libdir}/libibsimu*.so
%{_libdir}/pkgconfig/ibsimu*.pc
%doc doc/html

%changelog
* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1_4.b
- initial fc import

